# PSNMP_VarBindList Class Reference

`#include <snmp.h>`

Inheritance diagram for PSNMP_VarBindList:

List of all members.

## Public Member Functions

| PSNMP_VarBindList (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PASN_Object * | CreateObject () const
PSNMP_VarBind & | operator[] (PINDEX i) const
PObject * | Clone () const
| Create a copy of the class on the heap.

## Constructor & Destructor Documentation

PSNMP_VarBindList::PSNMP_VarBindList | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* PSNMP_VarBindList::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

PASN_Object* PSNMP_VarBindList::CreateObject | ( |  | ) | const`[virtual]`

Implements PASN_Array.

PSNMP_VarBind& PSNMP_VarBindList::operator[] | ( | PINDEX | i | ) | const

Reimplemented from PASN_Array.

The documentation for this class was generated from the following file:

- snmp.h